Skip to navigation

List Transactions

Returns an orderʼs transactions.

Usage Notes

  • Depending on the payment method, different information will be available (not all payment gateways return full card or fraud detail).

Requires at least one of the following scopes:

  • store_v2_transactions_read_only
  • store_v2_transactions

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Transactionsread and modify transactions and payment_methodsstore_v2_transactions
Order Transactionsread transactions and payment_methodsstore_v2_transactions_read_only
Ordersread and modify payment_methodsstore_v2_orders
Ordersread payment_methodsstore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

order_idintegerRequired

The ID of the Order to which the transactions belong.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

Response payload for the BigCommerce Order Transactions API.
datalist of objectsOptional
metaobjectOptional

Errors

404
Not Found Error
503
Service Unavailable Error